All Classes Namespaces Functions Variables Groups Pages
QUnit::DependencyInjectedTest Class Referenceabstract

A class representing a test with injected dependencies. More...

Inheritance diagram for QUnit::DependencyInjectedTest:
[legend]

## Public Member Functions

| setScriptPath (*string testedFile)
| A helper function. It must be called once for a new instance with get_script_path() as argument.
| setUp ()
| A prototype function.
Public Member Functions inherited from QUnit::TestReporter
| constructor (string name, string version, *reference< list< string >> p_argv, hash opts=Opts)
| creates the object from the arguments More...

## Additional Inherited Members

Public Attributes inherited from QUnit::TestReporter
const | Opts
| default options for Qore::GetOpt::constructor()

## Detailed Description

A class representing a test with injected dependencies.